<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>管理後臺</title>
<meta name="keywords" content="管理後臺" />
<meta name="description" content="管理後臺" />
<script src="/jquery/jquery-1.8.2.min.js"></script>
<!-- 上傳和瀏覽用燈箱片效果 -->
<link rel="stylesheet" href="/jquery/fancybox/source/jquery.fancybox.css?v=2.1.5" type="text/css" media="screen" />
<script type="text/javascript" src="/jquery/fancybox/source/jquery.fancybox.pack.js?v=2.1.5"></script>
</head>
<body>
	<div class="wrapper">
    	<?# header ?>
    	<div class="wrap">
        	<?# sidePage ?>
            <div class="contentMain">
            	<h3>跳轉設置</h3>
                <div class="article" style="width: 100%;">
                    <form id="form1" name="form1" action="jumpSet.php" method="post">
                        <fieldset style="width: 100%;">
                            <div style="overflow: hidden;">
                            	<div class="titleTyp"><p>跳轉設置</p></div>
                                <div style=" background: rgba(75, 141, 248, 0.07); padding: 10px 0;">
                                    <p>
                                        <label>跳轉類型</label>
                                        <select id="webJumpType" name="webJumpType">
                                            <option value="0">不跳轉</option>
                                            <option value="10">跳一(下面可以看到原網站)</option>
                                            <option value="20">跳二(javascript滑鼠滑跳)</option>
                                            <option value="30">跳三(沒有拉霸看不到原網站)</option>
                                            <option value="60">跳六(iframe鑲嵌網站)</option>
                                        </select>
                                    </p>
                                    <div class="writList">
                                        <label>跳轉圖片</label>
                                        <a id="aImg" class="fancybox" style="float: left; margin: 0 10px;"><img id="imgImg" style="width:50px; height:50px; border:0; display:none;" /></a>
                                        <input type="text" id="webJumpImage" name="webJumpImage" value="<?# webJumpImage ?>" maxlength="128" style="float: left;" />
                                        <a id="up" class="various fancybox.iframe" href="dialogs/upimage.php?id=webJumpImage">上傳</a>
                                    </div>
                                    <p>
                                        <label>跳轉連結</label>
                                        <input type="text" id="webJumpLink" name="webJumpLink" value="<?# webJumpLink ?>" maxlength="128" style="width: 300px;" />
                                    </p>
                                </div>
                            </div>
                            <p>
	                            <input type="button" id="btnOK" name="btnOK" value="確 定" />
							</p>
                        </fieldset>
                    </form>
                </div>
            </div>
        </div>
        <?# footer ?>
    </div>
<script>
<!--
	function upimage(a,b){
		$("#"+a).val(b);
		$("#"+a).change();
		$.fancybox.close();
	}
	$(function(){
		$(".fancybox").fancybox();
		$(".various").fancybox({
			maxWidth	: 400,
			maxHeight	: 200,
			fitToView	: false,
			width		: '70%',
			height		: '70%',
			autoSize	: false,
			closeClick	: false,
			openEffect	: 'none',
			closeEffect	: 'none'
		});

		$('#webJumpType').change(function(){
			if($(this).val() == "0"){
				$('#typeTR').children('td').eq(0).attr('rowspan','1');
				$('#imageTR').css('display','none');
				$('#linkTR').css('display','none');
			}else if($(this).val() == "60"){
				$('#typeTR').children('td').eq(0).attr('rowspan','2');
				$('#imageTR').css('display','none');
				$('#linkTR').css('display','table-row');
			}else{
				$('#typeTR').children('td').eq(0).attr('rowspan','3');
				$('#imageTR').css('display','table-row');
				$('#linkTR').css('display','table-row');
			}
		});
		$('#webJumpType').val('<?# webJumpType ?>');
		$('#webJumpType').change();

		$('#webJumpImage').change(function(){
			if($(this).val() == ''){
				$('#imgImg').attr('src','');
				$('#imgImg').css('display','none');
				$('#aImg').attr('href','');
			}else{
				$('#imgImg').attr('src',$(this).val());
				$('#imgImg').css('display','block');
				$('#aImg').attr('href',$(this).val());
			}
		});
		$('#webJumpImage').change();

		$('#btnOK').click(function(){
			$('#form1').submit();
		});
	});
//-->
</script>
</body>
</html>